Subject: Re: [mpls-tp] mpls wg last call on draft-ietf-mpls-tp-oam-analysis-02.txt

From: Huub van Helvoort <[email-masked]>
Date: Sun, 07 Nov 2010 17:31:14 +0100

Hello Loa,

You wrote:

> this is to start a an MPLS working group last call o
> draft-ietf-mpls-tp-oam-analysis-02.txt
> This working group last call ends November 14.
>
> Please send comments to the [email-masked] mailing list.

I am completely lost regarding the purpose of this document:
- it started as an analysis to review all possible solutions
- then it was to capture and report the decisions of the MEAD team
- now it is a list of solutions

+ between these versions a lot of the history is lost, so it
   can not even be used as a history document
+ the list of solutions is currently not complete, so why this
   last call (as this will close the draft for further revisions)

Why did you wait with sending a liaison to review this draft
until last call?
I am actually surprised by this liaison because in an email
dated 19-04-2010 to the [email-masked] and ITU-T
Q9, Q10, Q12 and Q14 lists you wrote that you would not support
sending a liaison.

Regards, Huub.

-- 
**********************************************
                我爱外点一七三一

---

From: Thomas Nadeau <[email-masked]>
Date: Mon, 8 Nov 2010 10:39:23 +0800

>  last call (as this will close the draft for further revisions)

	I agree with Huub on this point. I raised this same 
point about 2 years ago WRT this document.  The original intent
of this document was to review the status of existing OAM tools/etc... 
from the ITU-T and IETF as a means to help the WG choose them for MPLS-TP.
At the time the intent as discussed in numerous WG meetings was to
use this document as a repository of notes with no intention of moving
it forward. 

	I've also noticed that the document seems to have morphed into a 
hybrid of solutions and requirements. Neither of which was the original 
purpose of the document.

	--Tom

> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

---

From: "Bocci, Matthew (Matthew)" <[email-masked]>
Date: Mon, 8 Nov 2010 09:03:31 +0100

>hybrid of solutions and requirements. Neither of which was the original

I have the same concern. I recall that this draft was originally intended
as a place to help document where we could use existing MPLS OAM tools,
and where we would need new tools.

Matthew

---

From: Rolf Winter <[email-masked]>
Date: Wed, 10 Nov 2010 03:44:51 +0000

Hi,

I kind of share this view. With the changed scope of the document and with many of the documents referenced in it still being somewhat moving targets, maybe it is better to keep the document around to be a kind of living document (assuming the current form and scope is to be kept). That way it could also record some of the reasons of why certain decisions where made, which might be valuable in this specific context.

2 more cents,

	Rolf

NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Thomas Nadeau
> Sent: Montag, 8. November 2010 03:39
> To: [email-masked]
> Cc: [email-masked]; MPLS-TP ad hoc team; [email-masked]
> Subject: Re: [mpls-tp] [mpls] mpls wg last call on draft-ietf-mpls-tp-
> oam-analysis-02.txt
> 
> 
> mpls-tp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: D'Alessandro Alessandro Gerardo <[email-masked]>
Date: Thu, 11 Nov 2010 08:45:14 +0100

I have some reservations about the maturity of this document therefore I do not agree on publishing it as it is.

Some historical background:

The first version of the document under consideration was published on July 07, 2008.
Since then 12 versions were produced over more than 2 years.

All of them BUT THE LAST ONE (now under last call) had the same scope.

Actually, the first time the scope was explicitly reported in the document was on Sept 10, 2009, version document "draft-sprecher-mpls-tp-oam-analysis-05", as reported hereafter:
"The purpose of this document is to analyze the OAM requirements and
   evaluate whether existing OAM tools defined for MPLS can be used to
   meet the requirements, identify which tools need to be extended to
   comply with the requirements, and which new tools need to be defined.
   We also take the ITU-T OAM toolset, as defined in [Y.1731], as a
   candidate to base these new tools upon.  The existing tools that are
   evaluated include LSP Ping (defined in [LSP Ping]), MPLS Bi-
   directional Forwarding Detection (BFD) (defined in [BASE BFD]) and
   Virtual Circuit Connectivity Verification (VCCV) (defined in [PW
   VCCV] and [VCCV BFD]), and the ITU-T OAM toolset defined in [Y.1731]."

The IETF management and community approved the document as a working group document on Nov 09, 2009 with that scope.

In the last version (about 4 months ago) despite years of previous work, suddenly the scope and the content have been changed being the scope now:
" The purpose of this document is to outline the recommendations of the
   MPLS-TP design team and confirmed by the working group for the
   toolset that should be defined to fulfill the OAM functionality
   requirements as documented in [MPLS-TP OAM Reqs] and [MPLS-TP OAM
   Frwk]. Based on the principles cited above, it was determined to
   base the MPLS-TP OAM toolset on the following existing MPLS tools:
   o  LSP-Ping as defined in [LSP Ping].
   o  Bidirectional Forwarding Detection (BFD) as defined in [BASE BFD]
      and refined in [MPLS BFD]."

Some considerations:

Does it make sense to change the document scope AND the CONTENT after a so long and hard work?
Pls note that in the original scope, the keyword was ANALYZE that was in line with the document's title.

In the last version, the keyword is OUTLINE that is NOT in line with the document's title. More important, the outline, as it is today, is still incomplete (e.g. par. 3.7.1, 3.8.1 do not contain any outline of recommendations).

What about the original scope that was 'approved' by the IETF management and community on Nov 09, 2009? My opinion is that the draft-ietf-mpls-tp-oam-analysis-01 and the new document version 02 (now under last call) may be both progressed because they have different scopes (hopefully the v02 with a new title!).

Chapter 2 objective is not clear and doesn't seem to be useful for the document objective. Moreover some of the concepts are repeated in chapter 3.

Par. 1.1 of the document under last call states "One of the mandates of the joint (IETF and ITU-T) MPLS-TP work-item is the objective of developing a Transport Profile is to base the toolset on existing MPLS technologies."

Looking at Joint Working Team (JWT) Report, I found:
+ Slide 12 "This represents the agreed upon starting point for the technical analysis of the T-MPLS requirements from the ITU-T and the MPLS architecture to meet those requirements"
+ Slide 44 "decide wheather LSP-Ping or BFD can or should be tweaked or not"
+ Slide 46 "Many options including Non IP BFD is an option encapsulation of Y.1731 pdu".

 My interpretation of those statements is that the new text in Par 1.1. stating that "it was determined to base the MPLS-TP OAM toolset on . LSP .BFD." is NOT correct.

Best regards,
Alessandro
------------------------------------------------------------------
Telecom Italia
Alessandro D'Alessandro
Transport & OPB Innovation
Via Reiss Romoli, 274 - 10148 Torino
phone:  +39 011 228 5887
mobile: +39 335 766 9607
fax: +39 06 418 639 07

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: giovedì 21 ottobre 2010 20.04
To: [email-masked]; [email-masked]; MPLS-TP ad hoc team
Subject: [mpls-tp] mpls wg last call on draft-ietf-mpls-tp-oam-analysis-02.txt

Working Group,

this is to start a an MPLS working group last call on

Loa and George

MPLS WG co-chairs

--

Loa Andersson                         email: [email-masked]
Sr Strategy and Standards Manager            [email-masked]
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13
_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp

Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie.

This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks.

---

From: "BUSI, ITALO (ITALO)" <[email-masked]>
Date: Thu, 11 Nov 2010 09:27:00 +0100

I do not think the document is ready for publication.

1.	Title, scope description and content of the draft are inconsistent

The title implies an analysis document where different options are analyzed against the requirements and their pros and cons are compared.

The text in the scope section seems to imply this document provides an overview of the MPLS-TP OAM documents.

Content of sections 3.6.1, 3.7.1 and 3.8.1 is providing neither an overview nor an analysis.

The scope of this document needs to be clarified and title, scope description and content of the draft kept consistent with this scope:

a) if the scope is to provide analysis, detailed analysis of the different options need to be provided within the document;

b) if the scope is to provide an overview of the OA M documents, it is too early to move this document forward given the status of the OAM documents.

2.	Section 1.1: the description of the interoperability requirement provided is incorrect: it is proposed to remove it.

The requirements are to re-use as much as reasonably possible existing MPLS OAM protocols.

However, for example, the lack of progress towards a widely agreed solution to define a CV function based on BFD to meet key MPLS-TP OAM requirements shows significant challenges remain.

3.	Section 1.1: the description of the MEAD team decision is not fully correct.

For example, the agreement was to extend BFD to meet the ITU-T functional requirements and to merge between the following two documents:
- http://tools.ietf.org/html/draft-fulignoli-mpls-tp-bfd-cv-proactive-and-rdi-01
- http://tools.ietf.org/html/draft-boutros-mpls-tp-cv-cc-00

The current WG draft is different from each of these two individual drafts; it provides a much worse technical solution and its adoption as WG document has been strongly challenged by many IETF participants.

4.	Section 2 paraphrases the OAM requirements of RFC 5860 and functional descriptions of draft-ietf-mpls-tp-oam-framework.

I propose to make just make a normative reference to these documents or to include a "precedence" rule in case of conflict between this document and the referenced documents.

Italo

PS - To avoid confusion to the editors, I would clarify that I am cross-posting my comments because they are indented to be both WG LC comments from an IETF participants as well as input to the ITU-T review. Irrespectively on the SDO, these comments represent my opinion about the document.

> -----Messaggio originale-----
> Da: [email-masked] [mailto:[email-masked]] Per conto di Loa
> Andersson
> Inviato: venerdì 22 ottobre 2010 2.04
> A: [email-masked]; [email-masked]; MPLS-TP ad hoc team
> Oggetto: [mpls] mpls wg last call on draft-ietf-mpls-tp-oam-analysis-
> 02.txt
> 
> Working Group,
>

---

From: Loa Andersson <[email-masked]>
Date: Mon, 22 Nov 2010 13:00:03 +0100

All,

this wg last call has ended!

/Loa

--